<mat-list *ngIf="user" class="profile">
  <form (submit)="onSaveSubmit()" (reset)="onReset()">
    <h1 matSubheader>Personal information</h1>
    <mat-divider></mat-divider>

    <mat-list-item class="profile-firstname">
      <mat-icon matListIcon>person</mat-icon>
      <mat-input-container class="justifier">
        <input matInput type="text" [(ngModel)]="user.firstname" name="user.firstname" class="form-control" placeholder="Firstname" required>
      </mat-input-container>
      <!-- <h4 matLine>Firstname</h4>
      <p matLine>{{user.firstname}} </p> -->
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item class="profile-lastname">
      <mat-icon matListIcon>person</mat-icon>
      <mat-input-container class="justifier">
        <input matInput type="text" [(ngModel)]="user.lastname" name="user.lastname" class="form-control" placeholder="Lastname" required>
      </mat-input-container>
      <!-- <h4 matLine>Lastname</h4>
      <p matLine>{{user.lastname}} </p> -->
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item class="profile-username">
      <mat-icon matListIcon>person</mat-icon>
      <mat-input-container class="justifier">
        <input matInput type="text" [(ngModel)]="user.username" name="user.username" class="form-control" placeholder="Username" required>
      </mat-input-container>
      <!-- <h4 matLine>Username</h4>
      <p matLine>{{user.username}} </p> -->
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item class="profile-mail">
      <mat-icon matListIcon>mail</mat-icon>
      <mat-input-container class="justifier">
        <input matInput type="text" [(ngModel)]="user.email" name="user.email" class="form-control" placeholder="Email" required>
      </mat-input-container>
      <!-- <h4 matLine>Email</h4>
      <p matLine>{{user.email}} </p> -->
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item class="profile-organism">
      <mat-icon matListIcon>home</mat-icon>
      <mat-input-container class="justifier">
        <input matInput type="text" [(ngModel)]="user.organism" name="user.organism" class="form-control" placeholder="Organism" required>
      </mat-input-container>
      <!-- <h4 matLine>Organism</h4>
      <p matLine>{{user.organism}} </p> -->
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item class="profile-function">
      <mat-icon matListIcon>domain</mat-icon>
      <!-- <mat-input-container class="justifier">
        <input matInput type="text" [(ngModel)]="user.function" name="user.function" class="form-control" placeholder="Function" required>
      </mat-input-container> -->
      <h4 matLine class="function-title">Function</h4>
      <p matLine class="profile-name">{{user.function}}</p>
    </mat-list-item>

    <button mat-raised-button color="primary" class="save-button" type="submit">
        <mat-icon>save</mat-icon> Save
    </button>
    <button mat-raised-button color="warn" class="cancel-button" type="reset">
        <mat-icon>cancel</mat-icon> Cancel
    </button>
  </form>
</mat-list>

<mat-list *ngIf="user" class="password">
  <form (submit)="onChangePassword()" [formGroup]="passwordForm">
    <h1 matSubheader>Password</h1>

    <mat-divider></mat-divider>

    <h3 matSubheader>Please enter your old password to change it.</h3>

    <div formGroupName="passwords">
      <mat-list-item>
        <mat-form-field class="full-width justifier">
            <input matInput type="password" id="oldPasword" formControlName="oldPassword" name="user.password" placeholder="Old password" required>
        </mat-form-field>
      </mat-list-item>

      <mat-divider></mat-divider>

      <mat-list-item>
        <mat-form-field class="full-width justifier">
            <input matInput placeholder="Password" type="password" name="password" id="password" formControlName="password" required/>
            <mat-error *ngIf="password.errors && password.errors.required">
                Please enter your password
            </mat-error>
        </mat-form-field>
      </mat-list-item>

      <mat-divider></mat-divider>

      <mat-list-item>
        <mat-form-field class="full-width justifier">
          <input matInput placeholder="Confirm Password" type="password" name="confirmPassword" id="confirmPassword" formControlName="confirmPassword" required
              [errorStateMatcher]="parentErrorStateMatcher"/>
          <!-- <mat-error *ngIf="confirmPassword.errors && confirmPassword.errors.required">
              Please confirm your password
          </mat-error> -->
          <mat-error *ngIf="passwords.errors && passwords.errors.matchPassword">
              Passwords do not match
          </mat-error>
        </mat-form-field>
      </mat-list-item>

      <button mat-raised-button color="primary" class="change-password-button" type="submit">
          <mat-icon>lock</mat-icon> Change password
      </button>

    </div>
  </form>
</mat-list>

<!-- <mat-list *ngIf="user" class="password">
  <form (submit)="onChangePassword()" formGroupName="passwords">

    <h1 matSubheader>Password</h1>
    <mat-divider></mat-divider>

    <h3 matSubheader>Please enter your old password to change it.</h3>

    <mat-list-item>
      <mat-input-container class="justifier form-group">
        <input matInput type="password" [(ngModel)]="user.password" name="user.password" class="form-control" placeholder="Old password" required>
      </mat-input-container>
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item>
      <mat-input-container class="justifier">
        <input id="newPassword" matInput class="form-control" formControlName="newPassword" type="password" [(ngModel)]="new_password" name="new_password" placeholder="New Password">
      </mat-input-container>
    </mat-list-item>

    <mat-divider></mat-divider>

    <mat-list-item class="passwords">
        <mat-input-container class="justifier form-group">
          <input id="newPasswordConfirm" class="form-control" formControlName="newPasswordConfirm" [formGroup]="form" matInput type="password" [(ngModel)]="new_password_repeat" name="new_password_repeat" placeholder="New password">
          <mat-hint>Confirm password</mat-hint>
          <mat-error *ngIf="form.controls.newPasswordConfirm.errors?.MatchPassword">
            Passwords are different.
          </mat-error>
        </mat-input-container>
    </mat-list-item>

    <button mat-raised-button color="primary" class="change-password-button" type="submit">
        <mat-icon>lock</mat-icon> Change password
    </button>
  </form>
</mat-list> -->
